lwIP 2.1.2 Lightweight IP stack

Functions
ethernet.c File Reference
`#include "lwip/opt.h"`
`#include "netif/ethernet.h"`
`#include "lwip/def.h"`
`#include "lwip/stats.h"`
`#include "lwip/etharp.h"`
`#include "lwip/ip.h"`
`#include "lwip/snmp.h"`
`#include <string.h>`
`#include "netif/ppp/ppp_opts.h"`
`#include "path/to/my/lwip_hooks.h"`

## Functions
err_t | ethernet_input (struct pbuf *p, struct netif *netif)
err_t | ethernet_output (struct netif *netif, struct pbuf *p, const struct eth_addr *src, const struct eth_addr *dst, u16_t eth_type)

## Detailed Description

Ethernet common functions